import { EventEmitter, Injector, ViewContainerRef } from '@angular/core';
import * as i0 from "@angular/core";
export interface ApiPaths {
    getImages: string;
    upload: string;
    delete: string;
}
export interface GalleryImage {
    id: string;
    url: string;
    thumbnailUrl: string;
}
export declare class TriggerDirective {
    vc: ViewContainerRef;
    private injector;
    apiPaths: ApiPaths;
    disableDelete: boolean;
    s3imgSelected: EventEmitter<number>;
    openModal(): void;
    constructor(vc: ViewContainerRef, injector: Injector);
    static ɵfac: i0.ɵɵFactoryDeclaration<TriggerDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TriggerDirective, "[s3imgsTrigger]", never, { "apiPaths": { "alias": "s3imgsTrigger"; "required": false; }; "disableDelete": { "alias": "disableDelete"; "required": false; }; }, { "s3imgSelected": "s3imgSelected"; }, never, never, false, never>;
}
