import { ChangeDetectorRef } from '@angular/core';
import { TriggerDirective } from '../trigger.directive';
import { HttpClient } from '@angular/common/http';
import * as i0 from "@angular/core";
export declare class ImageManagerComponent {
    trigger: TriggerDirective;
    private http;
    private cd;
    selected: any;
    upload: boolean;
    images$: import("rxjs").Observable<any>;
    progress: number;
    errorMsg: string;
    constructor(trigger: TriggerDirective, http: HttpClient, cd: ChangeDetectorRef);
    getImages(tag?: string): void;
    onSelectFiles(e: any, thumb: HTMLImageElement, tag: HTMLInputElement): void;
    onSelectItem(): void;
    onUpload(tag: string, file: HTMLInputElement): void;
    deleteImage(id: string): void;
    full(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ImageManagerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ImageManagerComponent, "s3imgs-image-manager", never, {}, {}, never, never, false, never>;
}
